Bug 632745 - [6.1 FEAT] KVM Network Performance: mergeable rx buffers support in vhost-net
Summary: [6.1 FEAT] KVM Network Performance: mergeable rx buffers support in vhost-net
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Enterprise Linux 6
Classification: Red Hat
Component: kernel   
(Show other bugs)
Version: 6.1
Hardware: other
OS: All
high
high
Target Milestone: beta
: 6.1
Assignee: jason wang
QA Contact: Virtualization Bugs
URL:
Whiteboard:
Keywords: FutureFeature
Depends On:
Blocks: 662543 538808 580566 Rhel6KvmTier1 642595
TreeView+ depends on / blocked
 
Reported: 2010-09-10 20:51 UTC by IBM Bug Proxy
Modified: 2013-01-09 23:07 UTC (History)
10 users (show)

Fixed In Version: kernel-2.6.32-94.el6
Doc Type: Enhancement
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2011-05-23 20:52:07 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
rhel6.1 vhost-net mrg_rxbuf on vs off (19.29 KB, text/html)
2011-04-08 04:52 UTC, Quan Wenli
no flags Details


External Trackers
Tracker ID Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2011:0542 normal SHIPPED_LIVE Important: Red Hat Enterprise Linux 6.1 kernel security, bug fix and enhancement update 2011-05-19 11:58:07 UTC
IBM Linux Technology Center 67149 None None None Never
Red Hat Bugzilla 616659 None None None Never
Red Hat Bugzilla 616660 None None None Never

Internal Trackers: 616659 616660

Description IBM Bug Proxy 2010-09-10 20:51:21 UTC
1. Feature Overview:
Feature Id: [67149]
a. Name of Feature: [6.1 FEAT] KVM Network Performance: mergeable rx buffers support in vhost-net
b. Feature Description
Enable mergeable rx buffers feature in vhost-net
- improves host to guest throughput/latency for small messages.
- this features is on by default when using userspace virtio
- allows migration between 2 systems with/without vhost.


2. Feature Details:
Sponsor: LTC Networking
Architectures:
  x86, x86_64, 

Arch Specificity: both
Affects Kernel Modules: Field does not exist
Delivery Mechanism: Backport
Category: kernel
Request Type: Kernel - Performance Enhancement from Upstream
d. Upstream Acceptance: Field does not exist
Sponsor Priority P3
f. Severity: high
IBM Confidential: No
Code Contribution: IBM code
g. Component Version Target:
---

3. Business Case
KVM network performance is a critical requirement for multiple IBM virtualization/cloud based
products and solutions.

4. Primary contact at Red Hat:
John Jarvis
jjarvis@redhat.com

5. Primary contacts at Partner:
Project Management Contact:
Michael L. Hohnbaum, hbaum@us.ibm.com

Technical contact(s):
David L. Stevens, dlstevens@us.ibm.com

Comment 2 IBM Bug Proxy 2010-10-04 15:07:06 UTC
------- Comment From rsisk@us.ibm.com 2010-10-04 10:36 EDT-------
Code Upstream Status: Accepted

Comment 7 Aristeu Rozanski 2011-01-07 12:41:04 UTC
Patch(es) available on kernel-2.6.32-94.el6

Comment 9 John Jarvis 2011-01-13 19:00:40 UTC
This enhancement request was evaluated by the full Red Hat Enterprise Linux 
team for inclusion in a Red Hat Enterprise Linux minor release.   As a 
result of this evaluation, Red Hat has tentatively approved inclusion of 
this feature in the next Red Hat Enterprise Linux Update minor release.   
While it is a goal to include this enhancement in the next minor release 
of Red Hat Enterprise Linux, the enhancement is not yet committed for 
inclusion in the next minor release pending the next phase of actual 
code integration and successful Red Hat and partner testing.

Comment 12 IBM Bug Proxy 2011-04-06 13:21:48 UTC
------- Comment From sglass@us.ibm.com 2011-04-06 09:18 EDT-------
This feature has been verified by IBM

Comment 13 Quan Wenli 2011-04-08 04:52:30 UTC
Created attachment 490693 [details]
rhel6.1 vhost-net mrg_rxbuf on vs off

Attach the test result of vhost-net mrg_rxbuf=on/off.
From Host -> guest, see guest has high udp consumption packet compared with mrg_rxbu=off,but some performance degradation of
tcp packet with packet size less than 4096, Others looks good.

Comment 14 Quan Wenli 2011-04-08 06:05:54 UTC
According comment #12 ,change the bus status to verified.thanks~~

Comment 15 errata-xmlrpc 2011-05-23 20:52:07 UTC
An advisory has been issued which should help the problem
described in this bug report. This report is therefore being
closed with a resolution of ERRATA. For more information
on therefore solution and/or where to find the updated files,
please follow the link below. You may reopen this bug report
if the solution does not work for you.

http://rhn.redhat.com/errata/RHSA-2011-0542.html


Note You need to log in before you can comment on or make changes to this bug.